Errore di installazione se .NET Framework 4.6 è installato

Sintomi

Quando si esegue Microsoft SharePoint Foundation 2013 con l'installazione del Service Pack 1, SharePoint Server 2013 con Service Pack 1 o Project Server 2013 con Service Pack 1 in un computer in cui è installato Microsoft .NET Framework 4.6, 4.6.1 o 4.6.2, viene visualizzato il seguente messaggio di errore:

Il programma di installazione non è in grado di procedere a causa degli errori seguenti: questo prodotto richiede Microsoft .Net Framework 4.5.

Causa

Questo problema si verifica perché i programmi di installazione di SharePoint e Project Server non riconoscono .NET Framework 4.6, 4.6.1 o 4.6.2 come versione supportata del .NET Framework.

Risoluzione

Per risolvere il problema, attenersi alla seguente procedura:

  1. Estrarre il supporto di installazione in un percorso scrivibile.

    • Se il supporto di installazione è un file eseguibile (.exe), estrarre i file e le cartelle dal file eseguibile in un percorso scrivibile eseguendo il comando seguente al prompt dei comandi:

      <executable file name> /extract:<path to writable location>
      

      Ad esempio, eseguire il seguente comando:

      sharepoint.exe /extract:C:\SharePointInstaller
      
    • Se il supporto di installazione è un'immagine disco ISO o IMG (con estensione iso o img), montare l'immagine del disco e quindi copiare i file e le cartelle dall'immagine del disco in un percorso scrivibile.

  2. Scaricare il file compresso (.zip) che contiene la correzione corrispondente al prodotto che si sta installando:

  3. Aprire il file .zip file.

  4. Copiare il file di supporto dell'installazione seguente, se appropriato, dal file .zip nella cartella "updates" nel percorso scrivibile.

    • SharePoint Foundation 2013 con Service Pack 1: wsssetup.dll
    • SharePoint Server 2013 con Service Pack 1: svrsetup.dll
    • Project Server 2013 con Service Pack 1: svrsetup.dll
  5. Eseguire Setup.exe dal percorso scrivibile per avviare SharePoint o Project Server. Il programma di installazione utilizzerà il file di supporto contenente la correzione copiata nella cartella "updates".

Soluzione alternativa

Se non è possibile utilizzare il metodo di correzione fornito nella sezione "Risoluzione", è disponibile un metodo alternativo per la soluzione alternativa.

Per risolvere questo problema, verificare che .NET Framework 4.6, 4.6.1 o 4.6.2 non sia installato quando si esegue il programma di installazione SharePoint.

Se Microsoft .NET Framework 4.6, 4.6.1 o 4.6.2 è già installato, attenersi alla seguente procedura:

  1. Disinstallare .NET Framework 4.6, 4.6.1 o 4.6.2. A tale scopo, passare al percorso specifico del sistema operativo, come indicato negli articoli seguenti della Microsoft Knowledge Base:

    • 3151800 Il .NET Framework 4.6.2 offline per Windows
    • 3102436 Il programma di .NET Framework 4.6.1 offline per Windows
    • 3045557 Microsoft .NET Framework 4.6 (programma di installazione offline) per Windows

    Nota In Windows Server 2012 o Windows Server 2012 R2, il .NET Framework è un componente del sistema operativo e non può essere disinstallato in modo indipendente. Gli aggiornamenti .NET Framework vengono visualizzati nella scheda Aggiornamenti installati dell'app Programmi e funzionalità del Pannello di controllo. Per i sistemi operativi in cui il .NET Framework non è preinstallato, il .NET Framework viene visualizzato nella scheda Disinstalla o modifica programma (o nella scheda Installazione applicazioni) dell'app Programmi e funzionalità nel Pannello di controllo. Per ulteriori informazioni, vedere Troubleshooting Blocked .NET Framework Installations and Uninstallations e gli articoli della Microsoft Knowledge Base elencati in precedenza.

  2. Riavviare il computer.

  3. Installare il programma di installazione Web per .NET Framework 4.5.2.

  4. Eseguire SharePoint setup per installare SharePoint.
    Dopo aver SharePoint installato correttamente, è possibile eseguire l'aggiornamento da .NET Framework 4.5.2 a .NET Framework 4.6, 4.6.1 o 4.6.2.

Ulteriori informazioni

Sebbene venga visualizzato il messaggio di errore durante l'installazione, SharePoint Foundation 2013 e SharePoint Server 2013 sono ancora supportati dopo l'aggiornamento a .NET Framework 4.6, .NET Framework 4.6.1 o .NET Framework 4.6.2.

Nota Il supporto formale per .NET Framework 4.5.1, 4.5 e 4.0 è terminato a gennaio 2016.

Stato

Microsoft ha confermato che si tratta di un problema dei prodotti Microsoft elencati nella sezione "Si applica a".

Serve ulteriore assistenza? Vai a SharePoint Community.